Bug 4160 - Currency Conversion dosn't handle rates other than 100
Summary: Currency Conversion dosn't handle rates other than 100
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-11 01:49 UTC by Colin Campbell
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.20 KB, patch)
2010-12-10 07:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:23:50 UTC


---- Reported by colin.campbell@ptfs-europe.com 2010-02-11 13:49:38 ----

Current conversion rate from UK pounds to Yen

1.00 GBP = 140.363 JPY

Koha amended that to 99.99999

Given the inherent "stability" of the world economic order we cannot assume values will be less than 100



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:23 UTC  ---

This bug was previously known as _bug_ 4160 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4160

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Mark Kastoun 2010-10-28 07:29:34 UTC
to Chris Cormack:

To enable rates exceeding 100, execute the SQL beneath on your database.
 
ALTER TABLE  `currency` CHANGE  `rate`  `rate` FLOAT( 15, 5 ) NULL DEFAULT NULL;


Have a good day.

Thanks goes to <owen> on #koha IRC channel.
Comment 2 Katrin Fischer 2010-12-10 07:04:58 UTC
Created attachment 2827 [details] [review]
Proposed patch

I created a patch changing the data type of rate as suggested above. Please test and sign-off.
Comment 3 MJ Ray (software.coop) 2011-01-10 10:48:47 UTC
This bug is mentioned in:
Bug 4160: Currency conversion doesn't handle	rates other than 100 http://lists.koha-community.org/pipermail/koha-patches/2010-December/013224.html
Comment 4 Chris Cormack 2011-02-01 06:40:11 UTC
Patch pushed, please test
Comment 5 MJ Ray (software.coop) 2011-02-05 19:01:13 UTC
This bug is mentioned in:
Bug 4160: Currency conversion	doesn't handle rates other than 100 http://lists.koha-community.org/pipermail/koha-patches/2011-January/013728.html